Apêndice dos Softwares Associados

Aqui explicamos como obter os pacotes de software mencionados acima.

Servidor Web Apache

Para executar qualquer versão do Greenstone separada da versão da Biblioteca Local do Windows, você precisa de um servidor web externo. Várias aplicações, particularmente as maiores, já terão provavelmente um servidor web. Se você estiver utilizando Linux, o Apache pode estar no seu disco de instalação, porém não foi selecionado durante o processo de instalação. O servidor web Apache do site www.apache.org é software livre, e fácil de ser instalado.

Perl

O Greenstone utiliza a linguagem Perl quando está construindo as coleções. No ambiente Windows, o Perl é incluído automaticamente com os pacotes do Greenstone. A maioria dos sistemas Unix já tem o Perl instalado, porém caso ele não esteja presente, o código fonte e arquivos binários de uma grande parte de plataformas Unix está presente em www.perl.com . É necessário ao menos a versão Perl 5.0 ou qualquer versão acima desta.

GCC

A versão Unix do Greenstone pode ser executada com o compilador Gnu C++ , o GCC. O Greenstone faz bastante uso da bilioteca padrão do C++ (nós descobrimos que ela foi descontinuada em algumas versões antigas do GCC; por favor nos comunique se você tiver problemas de STL). Note que esta versão do Greenstone não compila com o GCC 3.0.

GDBM

Todas as versões do Greenstone utilizam o Gnu Database Manager, GDBM. Ele é utilizado com todas as versões Windows do Greenstone e instalado automaticamente durante o processo de instalação. Os sistemas Linux já têm o GDBM, então nós não o provemos para este sistema. A maioria dos sistemas Unix já o tem, porém caso seja necessário, é possível baixá-lo/realizar o download em www.gnu.org .

Java runtime environment

Para usar a Interface de Biblioteca do Greenstone, você terá ter uma versão do Java Runtime Environment. Se você ainda não o tem instalado, ou alguma versão no CD-ROM, você pode baixar/realizar o download da última versão em http://java.sun.com/j2se/downloads.html . É necessária a versão 1.4.0 ou posterior.

O compilador Java

Para compilar o código fonte da Interface de Biblioteca do Greenstone, você precisa primeiro instalar o Java Development Kit. É possível baixar o J2SE Software Development Kit de http://java.sun.com/j2se/downloads.html . É necessária a versão 1.4.0 ou superior.